List Asana projects in a workspace

gethttps://api.expiryedge.com/v1/integrations/asana/projects
any role60/min
Request
curl 'https://api.expiryedge.com/v1/integrations/asana/projects?workspace_gid=1200000000000001' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "success": true,
  "projects": [
    {
      "gid": "1200000000000042",
      "name": "Licenses & Renewals",
      "color": "dark-green",
      "archived": false
    }
  ]
}

Query parameters

  • workspace_gidstringrequired
    Workspace gid.

Returns

200
Projects (gid, name, color, archived).
  • successboolean
    Allowedtrue
  • projectsarray of objects

Errors

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.